import 'package:cpt_main/modules/visitor/page/visitor_page.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:auto_route/auto_route.dart';
import 'package:widgets/ext/ex_widget.dart';

@RoutePage()
class HomePage extends HookConsumerWidget {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Scaffold(
      appBar: AppBar(title: Text("Home")),
      body: Center(
        child: Column(
          children: [
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround,
              children: [
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Payment'),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Rewards'),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Notification'),
                ),
              ],
            ).marginOnly(top: 10),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround,
              children: [
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Facility'),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Form'),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Notice Board'),
                ),
              ],
            ).marginOnly(top: 10),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround,
              children: [
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Property'),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Service'),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Community'),
                ),
              ],
            ).marginOnly(top: 10),
          ],
        ),
      ),
    );
  }
}
